Skip to main content
POST
/
jobs
Submit Job
curl --request POST \
  --url https://api.example.com/jobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "job_type": "humanization",
  "antigen_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "job_type": "humanization",
  "status": "pending",
  "error_message": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "submitted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "canceled_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Submit a new pipeline job for a variant.

variant_id
string<uuid>
required
job_type
enum<string>
default:humanization
Available options:
humanization,
structure,
stability,
immunogenicity,
complex
antigen_id
string<uuid> | null

Required for complex prediction jobs — the target antigen to dock against.

Response

Successful Response

A job as returned by the API.

id
string<uuid>
required
variant_id
string<uuid>
required
job_type
enum<string>
required
Available options:
humanization,
structure,
stability,
immunogenicity,
complex,
codon_export
status
enum<string>
required
Available options:
pending,
running,
completed,
failed,
canceled
error_message
string | null
required
created_at
string<date-time>
required
started_at
string<date-time> | null
required
completed_at
string<date-time> | null
required
submitted_by
string<uuid> | null
canceled_at
string<date-time> | null